---
title: MediaCapabilitiesInfo
slug: Web/API/MediaCapabilitiesInfo
tags:
  - API
  - Audio
  - Experimental
  - Interface
  - Media Capabilities API
  - MediaCapabilitiesInfo
  - Reference
  - Video
---
<p>{{APIRef("Media Capabilities API")}}</p>

<p>The <code><strong>MediaCapabilitiesInfo</strong></code> interface of the <a href="/en-US/docs/Web/API/Media_Capabilities_API">Media Capabilities API</a> is made available when the promise returned by the {{domxref("MediaCapabilities.encodingInfo()")}} or {{domxref("MediaCapabilities.decodingInfo()")}} methods of the {{domxref("MediaCapabilities")}} interface fulfills, providing information as to whether the media type is supported, and whether encoding or decoding such media would be smooth and power efficient.</p>

<h2 id="Properties">Properties</h2>

<p>The <code>MediaCapabilitiesInfo</code> interface contains three Boolean attribues:</p>

<ul>
 <li><code>supported</code>: Given the properties defined in the {{domxref("MediaConfiguration")}}, can the specified piece of media content be encoded (if {{domxref("MediaEncodingConfiguration")}} is set) or decode (if {{domxref("MediaDecodingConfiguration")}} is set) at all? If yes, <code>supported</code> is <em>true</em>. Otherwise, it is <em>false</em>.</li>
 <li><code>smooth</code>: Given the properties defined in the {{domxref("MediaConfiguration")}}, will the playback of the specified piece of media be high quality? Will it be smooth?  If <code>supported</code> is <code>true</code>, and playback will be smooth, <code>smooth</code> is <em>true</em>, Otherwise, is it <em>false.</em></li>
 <li><code>powerEfficient</code>: Given the properties defined in the {{domxref("MediaConfiguration")}}, will the playback of the specified piece of media be power efficient? If <code>supported</code> is <code>true</code>, and playback will be power efficient, <code>powerEfficient</code> is <em>true</em>, Otherwise, is it <em>false.</em></li>
</ul>

<p>Browsers will report a supported media configuration as <code>smooth</code> and <code>powerEfficient</code> until stats on this device have been recorded. All supported audio codecs are reported to be power efficient.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// {{domxref("MediaConfiguration")}} to be tested
const mediaConfig = {
    type : 'file',
    audio : {<code class="language-js">
        contentType <span class="punctuation token">:</span> <span class="string token">"audio/ogg"</span><span class="punctuation token">,</span>
        channels <span class="punctuation token">:</span> <span class="number token">2</span><span class="punctuation token">,</span>
        bitrate <span class="punctuation token">:</span> <span class="number token">132700</span><span class="punctuation token">,</span>
        samplerate <span class="punctuation token">:</span> <span class="number token">5200</span>
     </code>},
};

// check support and performance
navigator.mediaCapabilities.decodingInfo(mediaConfig).then(result =&gt; { // result contains the media capabilities information
    console.log('This configuration is ' +
        (result.supported ? '' : 'not ') + 'supported, ' +             // Can the media, as configured, be decoded by the user agent
        (result.smooth ? '' : 'not ') + 'smooth, and ' +               // is it smooth?
        (result.powerEfficient ? '' : 'not ') + 'power efficient.')    // is it power efficient?
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Media Capabilities','#media-capabilities-info','MediaCapabilitiesInfo')}}</td>
   <td>{{Spec2('Media Capabilities')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaCapabilitiesInfo")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaConfiguration")}}</li>
 <li>{{domxref("MediaCapabilities.encodingInfo()")}}</li>
 <li>{{domxref("MediaCapabilities.decodingInfo()")}}</li>
</ul>
